#!/bin/bash

(
    D="2021/refinement-study-2021-names.txt"
    ./refinement-study-2021 -names > $D

    for dim in 2 3 ; do
        for p in {3..16} ; do
            p2=$((2**p))
            mem=$((p2**dim))
            [ "$mem" -gt "1000000000" ] && break
            O="2021/refinement-max-err-$dim-$p2.txt"
            L="$L $O"
            echo do $dim $p2 $mem
            ./refinement-study-2021 -dim $dim -vel 1 -refine $p2 > $O &
        done
    done
    wait
    for dim in 2 3 ; do
        cat $D > "2021/refinement-max-err-$dim.txt"
        for p in {3..16} ; do
            p2=$((2**p))
            mem=$((p2**dim))
            [ "$mem" -gt "1000000000" ] && break
            O="2021/refinement-max-err-$dim-$p2.txt"
            cat $O >> "2021/refinement-max-err-$dim.txt"
        done
        sed "s/NNN/$dim/" < refinement-study-2021.tex > 2021/refinement-study-2021-$dim.tex
        ( cd 2021 ; pdflatex refinement-study-2021-$dim.tex ) &
    done
    rm -f $D
    wait
)
