#!/bin/bash

mkdir 2022

function run()
{
    vel="$1"
    curl="$2"
(
    D="2022/refinement-study-names$curl.txt"
    ./refinement-study -names $curl > $D

    for dim in 2 3 ; do
        for p in {1..12} ; do
            p2=$((2**p))
            mem=$((p2**dim))
            [ "$mem" -gt "1000000000" ] && break
            O="2022/refinement-max-err-$dim-$p2$curl.txt"
            L="$L $O"
            echo do $dim $p2 $mem $curl
            ./refinement-study -dim $dim -vel $vel $curl -refine $p2 > $O &
        done
    done
    wait
    for dim in 2 3 ; do
        cat $D > "2022/refinement-max-err-$dim$curl.txt"
        for p in {1..12} ; do
            p2=$((2**p))
            mem=$((p2**dim))
            [ "$mem" -gt "1000000000" ] && break
            O="2022/refinement-max-err-$dim-$p2$curl.txt"
            cat $O >> "2022/refinement-max-err-$dim$curl.txt"
        done
        sed "s/NNN/$dim/" < refinement-study$curl.tex > 2022/refinement-study-$dim$curl.tex
        ( cd 2022 ; pdflatex refinement-study-$dim$curl.tex ) &
    done
    rm -f $D
    wait
)
}

run 1 ""
run 5 "-curl"
